Upgrade to the next version of rjb
authorPeter Donald <donaldp@apache.org>
Sun, 7 Oct 2012 02:10:19 +0000 (02:10 +0000)
committerPeter Donald <donaldp@apache.org>
Sun, 7 Oct 2012 02:10:19 +0000 (02:10 +0000)
git-svn-id: https://svn.apache.org/repos/asf/buildr/trunk@1395205 13f79535-47bb-0310-9956-ffa450edef68

CHANGELOG
buildr.gemspec
lib/buildr/java/rjb.rb

index 65e8e9c..4727fb6 100644 (file)
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -1,13 +1,13 @@
 1.4.8 (Pending)
 * Added:  Experimental support for jacoco code coverage tool.
-* Fixed:  BUILDR-655 - Support JDK1.5 under OSX
+* Fixed:  BUILDR-655 - Support JDK1.7 under OSX
 * Change: Updated dependency versions;
           - builder (3.1.3)
           - highline (1.6.15)
           - rubyforge (2.0.4)
           - net-ssh (2.6.0)
           - hoe (3.1.0)
-          - rjb (1.4.1)
+          - rjb (1.4.2)
           - rdoc (3.12)
           - xml-simple (1.1.1)
           - rspec-expectations (2.11.3)
index 33b6252..c601dcb 100644 (file)
@@ -63,8 +63,7 @@ for those one-off tasks, with a language that's a joy to use.
   spec.add_dependency 'json_pure',            '1.7.5'
   spec.add_dependency 'rubyforge',            '2.0.4'
   spec.add_dependency 'hoe',                  '3.1.0'
-  # TODO: See note in rjb.rb when upgrading rjb
-  spec.add_dependency 'rjb',                  '1.4.1' if ($platform.to_s == 'x86-mswin32' || $platform.to_s == 'ruby')
+  spec.add_dependency 'rjb',                  '1.4.2' if ($platform.to_s == 'x86-mswin32' || $platform.to_s == 'ruby')
   spec.add_dependency 'atoulme-Antwrap',      '~> 0.7.2'
   spec.add_dependency 'diff-lcs',             '1.1.3'
   spec.add_dependency 'rspec-expectations',   '2.11.3'
index efb6a4a..7e35046 100644 (file)
@@ -17,16 +17,6 @@ if RbConfig::CONFIG['host_os'] =~ /darwin/i
   # On OS X we attempt to guess where JAVA_HOME is, if not set
   # We set JAVA_HOME early so we can use it without calling Java.load first.
   ENV['JAVA_HOME'] ||= '/System/Library/Frameworks/JavaVM.framework/Home'
-
-  if ENV['JAVA_HOME']
-    # For JDK1.7 this file exists. We need to ensure JVM_LIB is set before loading rjb
-    # As RJB uses it to determine which library to load.
-    # SEE https://github.com/arton/rjb/issues/12#issuecomment-9179415
-    # TODO: Remove this after upgrade to RJB > 1.4.1 as it should be built in.
-    if File.exist?("#{ENV['JAVA_HOME']}/jre/lib/server/libjvm.dylib")
-      ENV['JVM_LIB'] = "#{ENV['JAVA_HOME']}/jre/lib/server/libjvm.dylib"
-    end
-  end
 end
 
 require 'rjb'